=== debian/changelog ===
corectrl (1.4.0~git231021) unstable; urgency=medium

  * new git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Sat, 21 Oct 2023 16:02:49 +0200

corectrl (1.4.0~git230516) unstable; urgency=medium

  * new git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Tue, 16 May 2023 15:37:07 +0200

corectrl (1.4.0~git230327) unstable; urgency=medium

  * new git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Mon, 27 Mar 2023 12:57:21 +0200

corectrl (1.4.0~git230203) unstable; urgency=medium

  * git snapshot

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 03 Feb 2023 21:12:08 +0100
