=== src/CMakeLists.txt ===
--- 
+++ 
@@ -2,12 +2,15 @@
 
 list(APPEND APP_COMPILE_DEFINITIONS
   ${3RDPARTY_DEFINITIONS}
-  ELPP_THREAD_SAFE
+  SPDLOG_ACTIVE_LEVEL=SPDLOG_LEVEL_TRACE
 )
 
 list(APPEND COMMON_SRC
   ${CMAKE_CURRENT_SOURCE_DIR}/common/fileutils.cpp
   ${CMAKE_CURRENT_SOURCE_DIR}/common/stringutils.cpp
+)
+
+list(APPEND CRYPTO_SRC
   ${CMAKE_CURRENT_SOURCE_DIR}/common/cryptolayer.cpp
 )
 
@@ -74,6 +77,7 @@
   core/info/amd/gpuinfovbios.cpp
   core/info/amd/gpuinfovram.cpp
   core/info/amd/gpuinfouniqueid.cpp
+  core/info/amd/gpuinfoodfanctrl.cpp
 )
 
 list(APPEND CONTROLS_SRC
@@ -169,6 +173,14 @@
   core/components/controls/amd/fan/curve/fancurveprovider.cpp
   core/components/controls/amd/fan/curve/fancurveprofilepart.cpp
   core/components/controls/amd/fan/curve/fancurvexmlparser.cpp
+  core/components/controls/amd/fan/overdrive/auto/odfanauto.cpp
+  core/components/controls/amd/fan/overdrive/auto/odfanautoprovider.cpp
+  core/components/controls/amd/fan/overdrive/auto/odfanautoprofilepart.cpp
+  core/components/controls/amd/fan/overdrive/auto/odfanautoxmlparser.cpp
+  core/components/controls/amd/fan/overdrive/curve/odfancurve.cpp
+  core/components/controls/amd/fan/overdrive/curve/odfancurveprovider.cpp
+  core/components/controls/amd/fan/overdrive/curve/odfancurveprofilepart.cpp
+  core/components/controls/amd/fan/overdrive/curve/odfancurvexmlparser.cpp
   core/components/controls/cpucontrolprovider.cpp
   core/components/controls/cpu/cpufreq.cpp
   core/components/controls/cpu/cpufreqprovider.cpp
@@ -177,6 +189,7 @@
   core/components/controls/cpu/cpufreqmodeprovider.cpp
   core/components/controls/cpu/cpufreqmodeprofilepart.cpp
   core/components/controls/cpu/cpufreqmodexmlparser.cpp
+  core/components/controls/cpu/handlers/epphandler.cpp
 )
 
 list(APPEND SENSORS_SRC
@@ -228,13 +241,3 @@
   core/components/controls/controlmodeqmlitem.cpp
   core/components/controls/controlgroupqmlitem.cpp
   core/components/controls/noopqmlitem.cpp
-  core/components/controls/amd/pm/pmperfmodeqmlitem.cpp
-  core/components/controls/amd/pm/auto/pmautoqmlitem.cpp
-  core/components/controls/amd/pm/fixed/pmfixedqmlitem.cpp
-  core/components/controls/amd/pm/advanced/pmadvancedqmlitem.cpp
-  core/components/controls/amd/pm/advanced/dynamicfreq/pmdynamicfreqqmlitem.cpp
-  core/components/controls/amd/pm/advanced/fixedfreq/pmfixedfreqqmlitem.cpp
-  core/components/controls/amd/pm/advanced/freqmode/pmfreqmodeqmlitem.cpp
-  core/components/controls/amd/pm/advanced/overclock/pmoverclockqmlitem.cpp
-  core/components/controls/amd/pm/advanced/overclock/freqod/pmfreqodqmlitem.cpp
-  core/components/controls/amd/pm/advanced/overdrive/pmoverdriveqmlitem.cpp
