=== src/helper/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,4 @@
 find_package(PkgConfig REQUIRED)
-find_package(Qt5 5.15 COMPONENTS Core DBus REQUIRED)
 
 find_package(Botan QUIET)
 if(NOT Botan_FOUND)
@@ -28,20 +27,17 @@
 # Find polkit
 pkg_check_modules(POLKIT REQUIRED polkit-gobject-1)
 execute_process(
-    COMMAND pkg-config --variable=policydir polkit-gobject-1
-    RESULT_VARIABLE POLKIT_POLICY_INSTALL_DIR_RESULT
-    OUTPUT_VARIABLE POLKIT_POLICY_INSTALL_DIR
-    OUTPUT_STRIP_TRAILING_WHITESPACE
+  COMMAND pkg-config --variable=policydir polkit-gobject-1
+  RESULT_VARIABLE POLKIT_POLICY_INSTALL_DIR_RESULT
+  OUTPUT_VARIABLE POLKIT_POLICY_INSTALL_DIR
+  OUTPUT_STRIP_TRAILING_WHITESPACE
 )
 if(NOT POLKIT_POLICY_INSTALL_DIR_RESULT EQUAL "0")
   message(FATAL_ERROR "Failed to retrieve Polkit `policydir` variable using pkg-config")
 endif()
 
 list(APPEND HELPER_COMPILE_DEFINITIONS
-  ELPP_THREAD_SAFE
-  ELPP_FORCE_USE_STD_THREAD
-  ELPP_NO_LOG_TO_FILE
-  ELPP_NO_DEFAULT_LOG_FILE
+  SPDLOG_ACTIVE_LEVEL=SPDLOG_LEVEL_TRACE
 )
 
 list(APPEND PROCESS_MONITOR_SRC
@@ -52,6 +48,7 @@
   pmon/processregistry.cpp
   pmon/appregistry.cpp
   pmon/msgdispatcher.cpp
+  pmon/processeventconnector.c
 )
 
 list(APPEND SYSTEM_CONTROL_SRC
@@ -63,20 +60,18 @@
 add_executable(corectrl_helperkiller
   helperkiller.cpp
   polkit.cpp
-  ${3RDPARTY_SRC}
 )
 set(CMAKE_AUTOMOC OFF)
 
 target_include_directories(corectrl_helperkiller PRIVATE
   ${POLKIT_INCLUDE_DIRS}
-  ${3RDPARTY_INCLUDE_DIRECTORIES}
 )
 target_compile_definitions(corectrl_helperkiller PRIVATE ${HELPER_COMPILE_DEFINITIONS})
 target_link_libraries(corectrl_helperkiller PRIVATE
   Qt5::Core
   Qt5::DBus
+  spdlog::spdlog
   ${POLKIT_LIBRARIES}
-  $<$<BOOL:${fmt_FOUND}>:fmt::fmt>
 )
 
 configure_file(org.corectrl.helperkiller.service.in org.corectrl.helperkiller.service)
@@ -89,8 +84,8 @@
 add_executable(corectrl_helper
   helper.cpp
   polkit.cpp
-  ${3RDPARTY_SRC}
   ${COMMON_SRC}
+  ${CRYPTO_SRC}
   ${PROCESS_MONITOR_SRC}
   ${SYSTEM_CONTROL_SRC}
 )
@@ -99,7 +94,6 @@
 target_include_directories(corectrl_helper PRIVATE
   ${Botan_INCLUDE_DIRS}
   ${POLKIT_INCLUDE_DIRS}
-  ${3RDPARTY_INCLUDE_DIRECTORIES}
   ${PROJECT_SOURCE_DIR}/src
 )
 target_compile_definitions(corectrl_helper PRIVATE ${HELPER_COMPILE_DEFINITIONS})
@@ -108,9 +102,9 @@
   Qt5::DBus
   stdc++fs
   pthread
+  spdlog::spdlog
   ${Botan_LIBRARIES}
   ${POLKIT_LIBRARIES}
-  $<$<BOOL:${fmt_FOUND}>:fmt::fmt>
 )
 
 configure_file(org.corectrl.helper.service.in org.corectrl.helper.service)
