=== debian/changelog ===
corectrl (1.4.0+ds-1) unstable; urgency=medium

  * New upstream release
  * Updated Files-Excluded: in d/copyright for new upstream release
  * Updated watchfile for GitLab tag sorting change
  * Updated build-dependencies and versioning in d/control according to
    upstream
  * Drop dependency on libfmt
  * Enable build-time tests

 -- Matthias Geiger <werdahias@riseup.net>  Fri, 29 Mar 2024 11:53:20 +0100
