=== debian/control ===
Source: corectrl
Section: utils
Priority: optional
Maintainer: Gürkan Myczko <tar@debian.org>
Uploaders: Matthias Geiger <werdahias@riseup.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 catch2 (>= 3.0.0),
 cmake (>= 3.22),
 libbotan-2-dev,
 libunits-cpp-dev,
 libspdlog-dev (>= 1.4),
 libtrompeloeil-cpp-dev (>= 40),
 libquazip1-qt5-dev (>= 1.0),
 libqt5charts5-dev (>= 5.15),
 libqt5svg5-dev (>= 5.15),
 libdbus-1-dev,
 libpolkit-gobject-1-dev,
 libdrm-dev,
 libpugixml-dev (>= 1.11),
 qtdeclarative5-dev (>= 5.15),
 qttools5-dev (>= 5.15),
 qml-module-qtquick2 (>= 5.15),
 patchelf
Standards-Version: 4.6.2
Homepage: https://gitlab.com/corectrl/corectrl
Vcs-Browser: https://salsa.debian.org/debian/corectrl
Vcs-Git: https://salsa.debian.org/debian/corectrl.git

Package: corectrl
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 vulkan-tools,
 qml-module-qtcharts (>= 5.15),
 qml-module-qtquick-layouts (>= 5.15),
 qml-module-qtquick-controls2 (>= 5.15),
 qml-module-qt-labs-platform (>= 5.15),
 qml-module-qtquick-window2 (>= 5.15),
 qml-module-qtquick2 (>= 5.15),
Description: Control your computer hardware using application profiles
 corectrl allows control of the CPU and AMD GPUs to set custom profiles for applications.
 This aims to be flexible, comfortable and accessible to regular users.
