## corectrl 1.4.1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(CoreCtrl HOMEPAGE_URL "https://gitlab.com/corectrl/corectrl")
 set(PROJECT_FQDN "org.corectrl.CoreCtrl")
-set(PROJECT_VERSION 1.4.0)
+set(PROJECT_VERSION 1.4.1)
 
 include(GNUInstallDirs)
 
@@ -32,6 +32,12 @@
   if (WITH_DEBUG_INFO)
     add_compile_options("-ggdb;-fno-omit-frame-pointer")
   endif()
+endif()
+
+# require libatomic on architectures without atomics support
+include(CheckAtomic)
+if(HAVE_CXX_ATOMICS_WITH_LIB OR HAVE_CXX_ATOMICS64_WITH_LIB)
+  list(APPEND ATOMIC_LIB "atomic")
 endif()
 
 find_package(Qt5 5.15 COMPONENTS Core DBus Quick Charts Widgets Network Svg REQUIRED)
