=== debian/changelog ===
corectrl (1.4.1+ds-2) unstable; urgency=medium

  * Change tars' name in d/control, d/copyright

 -- Matthias Geiger <werdahias@debian.org>  Mon, 22 Jul 2024 16:11:50 +0200

corectrl (1.4.1+ds-1) unstable; urgency=medium

  * New upstream release
  * Drop armel-build-failure patch; applied in upstream release

 -- Matthias Geiger <werdahias@riseup.net>  Sat, 01 Jun 2024 14:31:12 +0200

corectrl (1.4.0+ds-2) unstable; urgency=medium

  * Cherry-pick upstream commit to fix build failure on armel (Closes: #1068026) 
  * Bump Standards-Version to 4.7.0; no changes needed
  * Sort d/copyright for better readability

 -- Matthias Geiger <werdahias@riseup.net>  Fri, 17 May 2024 07:50:10 +0200
