=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: corectrl
 Section: utils
 Priority: optional
-Maintainer: Gürkan Myczko <tar@debian.org>
+Maintainer: Alex Myczko <tar@debian.org>
 Uploaders: Matthias Geiger <werdahias@riseup.net>
 Rules-Requires-Root: no
 Build-Depends:
@@ -23,7 +23,7 @@
  qttools5-dev (>= 5.15),
  qml-module-qtquick2 (>= 5.15),
  patchelf
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://gitlab.com/corectrl/corectrl
 Vcs-Browser: https://salsa.debian.org/debian/corectrl
 Vcs-Git: https://salsa.debian.org/debian/corectrl.git
