## corectrl 1.4.2+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(CoreCtrl HOMEPAGE_URL "https://gitlab.com/corectrl/corectrl")
 set(PROJECT_FQDN "org.corectrl.CoreCtrl")
-set(PROJECT_VERSION 1.4.1)
+set(PROJECT_VERSION 1.4.2)
 
 include(GNUInstallDirs)
