=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,7 @@
   spdlog::spdlog
   Catch2::Catch2
   trompeloeil::trompeloeil
+  ${ATOMIC_LIB}
 )
 
 # test_* files
@@ -38,8 +39,9 @@
   $<$<BOOL:${units_FOUND}>:units::units>
   Catch2::Catch2
   trompeloeil::trompeloeil
+  ${ATOMIC_LIB}
 )
 
-add_test(NAME "test_all"
-         COMMAND test_all
-         WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})
+include(CTest)
+include(Catch)
+catch_discover_tests(test_all)
