=== debian/changelog ===
corectrl (1.4.2+ds-2) unstable; urgency=medium

  * d/control: Make corectrl linux-any. Since it requires specific kernel API
    calls building it on HURD is pointless

 -- Matthias Geiger <werdahias@debian.org>  Thu, 07 Nov 2024 14:52:23 +0100

corectrl (1.4.2+ds-1) unstable; urgency=medium

  * New upstream release
  * Enable salsa CI
  * Updated my mail address in d/control

 -- Matthias Geiger <werdahias@debian.org>  Mon, 23 Sep 2024 16:38:33 +0200
