## corectrl 1.4.3%2Bds

=== debian/changelog ===
corectrl (1.4.3+ds-1ubuntu1) plucky; urgency=medium

  * d/rules: execute patchelf after dh_strip to fix FTBFS.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 18 Feb 2025 17:25:32 +0000

corectrl (1.4.3+ds-1build1) plucky; urgency=medium

  * No-change rebuild for libspdlog1.15.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 25 Jan 2025 19:36:56 +0000

corectrl (1.4.3+ds-1) unstable; urgency=medium

  * New upstream release
  * Drop tar as maintainer per their request, add myself
  * Rename d/README.debian to d/README.Debian

 -- Matthias Geiger <werdahias@debian.org>  Tue, 07 Jan 2025 19:48:55 +0100
