=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: corectrl
 Section: utils
 Priority: optional
-Maintainer: Alex Myczko <tar@debian.org>
-Uploaders: Matthias Geiger <werdahias@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Geiger <werdahias@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
