=== src/helper/CMakeLists.txt ===
--- 
+++ 
@@ -72,6 +72,7 @@
   Qt5::DBus
   spdlog::spdlog
   ${POLKIT_LIBRARIES}
+  ${ATOMIC_LIB}
 )
 
 configure_file(org.corectrl.helperkiller.service.in org.corectrl.helperkiller.service)
@@ -105,6 +106,7 @@
   spdlog::spdlog
   ${Botan_LIBRARIES}
   ${POLKIT_LIBRARIES}
+  ${ATOMIC_LIB}
 )
 
 configure_file(org.corectrl.helper.service.in org.corectrl.helper.service)
