=== debian/changelog ===
corectrl (1.4.3+ds-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/rules: execute patchelf after dh_strip to fix FTBFS.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 23 May 2025 16:05:49 +0100

corectrl (1.4.3+ds-2) unstable; urgency=medium

  [ Kirill Rekhov ]
  * d/copyright: just change http to https link
  * d/upstream/metadata: update incorrect links to correct ones
  * d/control: update description

 -- Matthias Geiger <werdahias@debian.org>  Sat, 22 Feb 2025 18:54:41 +0100
