=== debian/control ===
--- 
+++ 
@@ -41,5 +41,6 @@
  qml-module-qtquick-window2 (>= 5.15),
  qml-module-qtquick2 (>= 5.15),
 Description: Control your computer hardware using application profiles
- corectrl allows control of the CPU and AMD GPUs to set custom profiles for applications.
- This aims to be flexible, comfortable and accessible to regular users.
+ CoreCtrl allows control of the CPU and AMD GPUs to set custom profiles for
+ applications. This aims to be flexible, comfortable and accessible to regular
+ users.
