## corectrl 1.5.1+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 project(CoreCtrl HOMEPAGE_URL "https://gitlab.com/corectrl/corectrl")
 set(PROJECT_FQDN "org.corectrl.CoreCtrl")
-set(PROJECT_VERSION 1.4.3)
+set(PROJECT_VERSION 1.5.1)
 
 include(GNUInstallDirs)
 
@@ -40,9 +40,9 @@
   list(APPEND ATOMIC_LIB "atomic")
 endif()
 
-find_package(Qt5 5.15 COMPONENTS Core DBus Quick Charts Widgets Network Svg REQUIRED)
-find_package(Qt5LinguistTools REQUIRED)
-find_package(QuaZip-Qt5 1.0 REQUIRED)
+find_package(Qt6 6.8 COMPONENTS Core DBus Quick Charts Widgets Network Svg REQUIRED)
+find_package(Qt6LinguistTools REQUIRED)
+find_package(QuaZip-Qt6 1.0 REQUIRED)
 find_package(spdlog 1.4 REQUIRED)
 find_package(pugixml 1.11 REQUIRED)
