=== src/helper/CMakeLists.txt ===
--- 
+++ 
@@ -24,17 +24,22 @@
 endif()
 message("D-Bus files will be installed into ${DBUS_DATADIR_PREFIX_DIR}/dbus-1")
 
+option(POLKIT_POLICY_INSTALL_DIR "Polkit policy files installation directory" OFF)
+
 # Find polkit
-pkg_check_modules(POLKIT REQUIRED polkit-gobject-1)
-execute_process(
-  COMMAND pkg-config --variable=policydir polkit-gobject-1
-  RESULT_VARIABLE POLKIT_POLICY_INSTALL_DIR_RESULT
-  OUTPUT_VARIABLE POLKIT_POLICY_INSTALL_DIR
-  OUTPUT_STRIP_TRAILING_WHITESPACE
-)
-if(NOT POLKIT_POLICY_INSTALL_DIR_RESULT EQUAL "0")
-  message(FATAL_ERROR "Failed to retrieve Polkit `policydir` variable using pkg-config")
+if(NOT POLKIT_POLICY_INSTALL_DIR)
+  pkg_check_modules(POLKIT REQUIRED polkit-gobject-1)
+  execute_process(
+    COMMAND pkg-config --variable=policydir polkit-gobject-1
+    RESULT_VARIABLE POLKIT_POLICY_INSTALL_DIR_RESULT
+    OUTPUT_VARIABLE POLKIT_POLICY_INSTALL_DIR
+    OUTPUT_STRIP_TRAILING_WHITESPACE
+  )
+  if(NOT POLKIT_POLICY_INSTALL_DIR_RESULT EQUAL "0")
+    message(FATAL_ERROR "Failed to retrieve Polkit `policydir` variable using pkg-config")
+  endif()
 endif()
+message("Polkit policy files will be installed into ${POLKIT_POLICY_INSTALL_DIR}")
 
 list(APPEND HELPER_COMPILE_DEFINITIONS
   SPDLOG_ACTIVE_LEVEL=SPDLOG_LEVEL_TRACE
@@ -68,8 +73,8 @@
 )
 target_compile_definitions(corectrl_helperkiller PRIVATE ${HELPER_COMPILE_DEFINITIONS})
 target_link_libraries(corectrl_helperkiller PRIVATE
-  Qt5::Core
-  Qt5::DBus
+  Qt6::Core
+  Qt6::DBus
   spdlog::spdlog
   ${POLKIT_LIBRARIES}
   ${ATOMIC_LIB}
@@ -99,8 +104,8 @@
 )
 target_compile_definitions(corectrl_helper PRIVATE ${HELPER_COMPILE_DEFINITIONS})
 target_link_libraries(corectrl_helper PRIVATE
-  Qt5::Core
-  Qt5::DBus
+  Qt6::Core
+  Qt6::DBus
   stdc++fs
   pthread
   spdlog::spdlog
