=== debian/changelog ===
corectrl (1.5.1+ds-2) unstable; urgency=medium

  * Upload to unstable

 -- Matthias Geiger <werdahias@debian.org>  Sun, 10 Aug 2025 11:35:37 +0200

corectrl (1.5.1+ds-1) experimental; urgency=medium

  * New upstream release
  * d/patches: Refresh for new upstream
  * d/control: Update B-D with info from CMakeLists
  * d/control: Bump S-V to 4.7.2, no changes needed
  [ Bastian Germann ]
  * Build with botan3 (Closes: #1109760)

 -- Matthias Geiger <werdahias@debian.org>  Sat, 02 Aug 2025 18:25:30 +0200
