=== debian/control ===
Source: corectrl
Section: utils
Priority: optional
Maintainer: Matthias Geiger <werdahias@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 catch2 (>= 3.0.0),
 cmake (>= 3.22),
 libbotan-3-dev,
 libunits-cpp-dev,
 libspdlog-dev (>= 1.4),
 libtrompeloeil-cpp-dev (>= 40),
 libdbus-1-dev,
 libpolkit-gobject-1-dev,
 libdrm-dev,
 libquazip1-qt6-dev,
 libpugixml-dev (>= 1.11),
 patchelf,
 qt6-base-dev (>= 6.8),
 qt6-declarative-dev (>= 6.8),
 qt6-charts-dev (>= 6.8),
 qt6-svg-dev (>= 6.8),
 qt6-tools-dev (>= 6.8),
Standards-Version: 4.7.2
Homepage: https://gitlab.com/corectrl/corectrl
Vcs-Browser: https://salsa.debian.org/debian/corectrl
Vcs-Git: https://salsa.debian.org/debian/corectrl.git

Package: corectrl
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 vulkan-tools,
 qml6-module-qtcharts (>= 6.8),
 qml6-module-qtquick-layouts (>= 6.8),
 qml6-module-qtquick-controls (>= 6.8),
 qml6-module-qt-labs-platform (>= 6.8),
 qml6-module-qtquick-window (>= 6.8),
 qml6-module-qtquick (>= 6.8),
Description: Control your computer hardware using application profiles
 CoreCtrl allows control of the CPU and AMD GPUs to set custom profiles for
 applications. This aims to be flexible, comfortable and accessible to regular
 users.
