=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,7 @@
 	mkdir -p debian/corectrl/usr/lib/$(DEBARCH)/corectrl/
 	mv debian/corectrl/usr/lib/$(DEBARCH)/libcorectrl.so debian/corectrl/usr/lib/$(DEBARCH)/corectrl/
 
-# workaround for lp:2060779
-execute_after_dh_strip:
+execute_after_dh_install:
 	patchelf --replace-needed libcorectrl.so /usr/lib/$(DEBARCH)/corectrl/libcorectrl.so debian/corectrl/usr/bin/corectrl
 
 override_dh_dwz:
